python-github_1.26.0-1_all.deb


Advertisement

Description

python-github - Access to full Github API v3 from Python2

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name python-github
Package version 1.26.0
Package release 1
Package architecture all
Package type deb
Installed size 632 B
Download size 42.15 KB
Official Mirror archive.ubuntu.com
This is a Python2 library to access the Github API v3.
With it, you can manage Github resources (repositories, user
profiles, organizations, etc.) from Python scripts.
It covers almost the full API and all methods are tested against the real
Github site.

Alternatives

Package Version Architecture Repository
python-github_1.26.0-1~nd16.04+1_all.deb 1.26.0 all NeuroDebian Main
python-github_1.26.0-1~nd16.04+1_all.deb 1.26.0 all NeuroDebian Main
python-github_1.26.0-1_all.deb 1.26.0 all Ubuntu Universe
python-github - - -

Requires

Name Value
python:any >= 2.7.5-5~
python:any << 2.8

Provides

Name Value
python-pygithub -

Conflicts

Name Value
python-pygithub -

Replaces

Name Value
python-pygithub -

Download

Type URL
Binary Package python-github_1.26.0-1_all.deb
Source Package pygithub

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-github deb package:
    # sudo apt-get install python-github

Files

Path
/usr/lib/python2.7/dist-packages/PyGithub-1.26.0.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/PyGithub-1.26.0.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/PyGithub-1.26.0.egg-info/pbr.json
/usr/lib/python2.7/dist-packages/PyGithub-1.26.0.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/github/AuthenticatedUser.py
/usr/lib/python2.7/dist-packages/github/Authorization.py
/usr/lib/python2.7/dist-packages/github/AuthorizationApplication.py
/usr/lib/python2.7/dist-packages/github/Branch.py
/usr/lib/python2.7/dist-packages/github/Commit.py
/usr/lib/python2.7/dist-packages/github/CommitComment.py
/usr/lib/python2.7/dist-packages/github/CommitStats.py
/usr/lib/python2.7/dist-packages/github/CommitStatus.py
/usr/lib/python2.7/dist-packages/github/Comparison.py
/usr/lib/python2.7/dist-packages/github/Consts.py
/usr/lib/python2.7/dist-packages/github/ContentFile.py
/usr/lib/python2.7/dist-packages/github/Download.py
/usr/lib/python2.7/dist-packages/github/Event.py
/usr/lib/python2.7/dist-packages/github/File.py
/usr/lib/python2.7/dist-packages/github/Gist.py
/usr/lib/python2.7/dist-packages/github/GistComment.py
/usr/lib/python2.7/dist-packages/github/GistFile.py
/usr/lib/python2.7/dist-packages/github/GistHistoryState.py
/usr/lib/python2.7/dist-packages/github/GitAuthor.py
/usr/lib/python2.7/dist-packages/github/GitBlob.py
/usr/lib/python2.7/dist-packages/github/GitCommit.py
/usr/lib/python2.7/dist-packages/github/GitObject.py
/usr/lib/python2.7/dist-packages/github/GitRef.py
/usr/lib/python2.7/dist-packages/github/GitRelease.py
/usr/lib/python2.7/dist-packages/github/GitTag.py
/usr/lib/python2.7/dist-packages/github/GitTree.py
/usr/lib/python2.7/dist-packages/github/GitTreeElement.py
/usr/lib/python2.7/dist-packages/github/GithubException.py
/usr/lib/python2.7/dist-packages/github/GithubObject.py
/usr/lib/python2.7/dist-packages/github/GitignoreTemplate.py
/usr/lib/python2.7/dist-packages/github/Hook.py
/usr/lib/python2.7/dist-packages/github/HookDescription.py
/usr/lib/python2.7/dist-packages/github/HookResponse.py
/usr/lib/python2.7/dist-packages/github/InputFileContent.py
/usr/lib/python2.7/dist-packages/github/InputGitAuthor.py
/usr/lib/python2.7/dist-packages/github/InputGitTreeElement.py
/usr/lib/python2.7/dist-packages/github/Issue.py
/usr/lib/python2.7/dist-packages/github/IssueComment.py
/usr/lib/python2.7/dist-packages/github/IssueEvent.py
/usr/lib/python2.7/dist-packages/github/IssuePullRequest.py
/usr/lib/python2.7/dist-packages/github/Label.py
/usr/lib/python2.7/dist-packages/github/Legacy.py
/usr/lib/python2.7/dist-packages/github/MainClass.py
/usr/lib/python2.7/dist-packages/github/Milestone.py
/usr/lib/python2.7/dist-packages/github/NamedUser.py
/usr/lib/python2.7/dist-packages/github/Notification.py
/usr/lib/python2.7/dist-packages/github/NotificationSubject.py
/usr/lib/python2.7/dist-packages/github/Organization.py
/usr/lib/python2.7/dist-packages/github/PaginatedList.py
/usr/lib/python2.7/dist-packages/github/Permissions.py
/usr/lib/python2.7/dist-packages/github/Plan.py
/usr/lib/python2.7/dist-packages/github/PullRequest.py
/usr/lib/python2.7/dist-packages/github/PullRequestComment.py
/usr/lib/python2.7/dist-packages/github/PullRequestMergeStatus.py
/usr/lib/python2.7/dist-packages/github/PullRequestPart.py
/usr/lib/python2.7/dist-packages/github/Rate.py
/usr/lib/python2.7/dist-packages/github/RateLimit.py
/usr/lib/python2.7/dist-packages/github/Repository.py
/usr/lib/python2.7/dist-packages/github/RepositoryKey.py
/usr/lib/python2.7/dist-packages/github/Requester.py
/usr/lib/python2.7/dist-packages/github/Stargazer.py
/usr/lib/python2.7/dist-packages/github/StatsCodeFrequency.py
/usr/lib/python2.7/dist-packages/github/StatsCommitActivity.py
/usr/lib/python2.7/dist-packages/github/StatsContributor.py
/usr/lib/python2.7/dist-packages/github/StatsParticipation.py
/usr/lib/python2.7/dist-packages/github/StatsPunchCard.py
/usr/lib/python2.7/dist-packages/github/Status.py
/usr/lib/python2.7/dist-packages/github/StatusMessage.py
/usr/lib/python2.7/dist-packages/github/Tag.py
/usr/lib/python2.7/dist-packages/github/Team.py
/usr/lib/python2.7/dist-packages/github/UserKey.py
/usr/lib/python2.7/dist-packages/github/__init__.py
/usr/share/doc/python-github/README.Debian
/usr/share/doc/python-github/README.rst.gz
/usr/share/doc/python-github/changelog.Debian.gz
/usr/share/doc/python-github/copyright

Changelog

2015-12-28 - Dmitry Bogatov <KAction@gnu.org>
pygithub (1.26.0-1) unstable; urgency=medium
* New upstream release
* Update watch file to use pypi.debian.net
* Disable tests, since they need network
* Disable installation of test modules and data
* Rename binary packages (python-pygithub -> python-github)
(Closes: #808467)
* Fix Vcs-* fields
* Drop invalid email from debian/copyright
* Add Provides field to simplify migration for rdeps
* Install README.rst as changelog. It actually contains changelog,
along with other things
* Remove *.pyremove files, obsoleted by tests-disabling patch
2015-08-08 - Dmitry Bogatov <KAction@gnu.org>
pygithub (1.25.2-4) unstable; urgency=medium
* Replace patches with more simple one (Gianfranco Costamagna).
Fix bug, caused package to not work with python3. Closes: #790655
2015-05-01 - Dmitry Bogatov <KAction@gnu.org>
pygithub (1.25.2-3) unstable; urgency=medium
* Upload to unstable.
[ Joao Eriberto Mota Filho ]
* Changed README.Debian name to install it in all binaries.
2015-02-17 - Dmitry Bogatov <KAction@gnu.org>
pygithub (1.25.2-2) experimental; urgency=low
* Use pybuild over hand-written shell loop
(patch provided by Gianfranco Costamagna)
* Write patch to disable running tests, since they need network.
* Fix watchfile
2014-10-10 - Dmitry Bogatov <KAction@gnu.org>
pygithub (1.25.2-1) experimental; urgency=low
* Initial release (Closes: #764709)

See Also

Package Description
python-gitlab_7.5.0-1_all.deb Python wrapper for the GitLab API (Python 2)
python-glpk_0.4.52-1.1_amd64.deb Python bindings to the GNU Linear Programming Kit
python-gluon_2.12.3-1_all.deb High-level Python web development framework
python-gmplot_1.1.0-3_all.deb matplotlib-like interface to plotting data with Google Maps
python-gmpy2-common_2.0.7-2build1_all.deb interfaces GMP to Python for fast, unbound-precision computations
python-gmpy2_2.0.7-2build1_amd64.deb interfaces GMP to Python 2 for fast, unbound-precision computations
python-gmpy_1.17-1_amd64.deb interfaces GMP to Python for fast, unbound-precision computations
python-gmsh_2.10.1+dfsg1-1ubuntu4_amd64.deb Three-dimensional finite element mesh generator. Python wrapper
python-gnatpython-doc_54-3_all.deb Python framework to ease development of test suites (examples)
python-gnatpython_54-3_amd64.deb Python framework to ease development of test suites
python-gnocchi_2.0.2-4_all.deb Metric as a Service - Python 2.x
python-gnocchiclient-doc_2.2.0-2_all.deb bindings to the OpenStack Gnocchi API - doc
python-gnocchiclient_2.2.0-2_all.deb bindings to the OpenStack Gnocchi API - Python 2.7
python-gnome2-desktop-dev_2.32.0+dfsg-3_all.deb Python bindings for the GNOME desktop environment
python-gnome2-dev_2.28.1+dfsg-1.1_all.deb Python bindings for the GNOME desktop environment - development files
Advertisement
Advertisement